package com.qmth.eds.common.bean.dto;//package com.qmth.teachcloud.data.store.bean.dto;


import com.qmth.boot.tools.excel.annotation.ExcelColumn;

import java.io.Serializable;
import java.util.Objects;

public class ExamCourseMappingDto implements Serializable {

    /**
     * 云阅卷课程代码
     */
    @ExcelColumn(name = "课程代码*", index = 1, nullable = true)
    String cloudMarkingCourseCode;

    /**
     * 武大考务数据课程代码
     */
    @ExcelColumn(name = "考生备注信息", index = 9, nullable = true)
    String syncCourseCode;

    public String getCloudMarkingCourseCode() {
        return cloudMarkingCourseCode;
    }

    public void setCloudMarkingCourseCode(String cloudMarkingCourseCode) {
        this.cloudMarkingCourseCode = cloudMarkingCourseCode;
    }

    public String getSyncCourseCode() {
        return syncCourseCode;
    }

    public void setSyncCourseCode(String syncCourseCode) {
        this.syncCourseCode = syncCourseCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ExamCourseMappingDto that = (ExamCourseMappingDto) o;
        return cloudMarkingCourseCode.equals(that.cloudMarkingCourseCode) && syncCourseCode.equals(that.syncCourseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cloudMarkingCourseCode, syncCourseCode);
    }
}
