package com.qmth.eds.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.eds.common.entity.ExamScheduleTask;
import org.apache.ibatis.annotations.Param;

/**
 * 定时任务设置表 Mapper 接口
 */
public interface ExamScheduleTaskMapper extends BaseMapper<ExamScheduleTask> {
    ExamScheduleTask findBySchoolIdAndSemesterIdAndExamTypeId(@Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("examTypeId") Long examTypeId);
}
