package com.qmth.eds.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.bean.result.SyncTaskListResult;
import com.qmth.eds.common.entity.ExamScheduleTask;
import com.qmth.eds.common.entity.TBSyncTask;
import com.qmth.eds.common.enums.TaskResultEnum;
import com.qmth.eds.common.enums.TaskStatusEnum;
import com.qmth.eds.common.enums.TaskTypeEnum;

/**
 * <p>
 * 同步数据 服务类
 * </p>
 */
public interface TBSyncTaskService extends IService<TBSyncTask> {

    TBSyncTask saveTask(ExamScheduleTask examScheduleTask, TaskTypeEnum type, boolean isAuto);

    void updateStatusAndResultById(Long id, TaskStatusEnum status, TaskResultEnum result, String errorMessage);

    TBSyncTask saveTask(Long collegeId, Long semesterId, Long examTypeId, TaskTypeEnum type, String remark);

    IPage<SyncTaskListResult> query(Page<SyncTaskListResult> iPage, TaskStatusEnum status, TaskTypeEnum type, TaskResultEnum result);
}
