package com.qmth.eds.common.service;

import com.qmth.eds.common.bean.result.LoginResult;
import com.qmth.eds.common.entity.SysUser;
import com.qmth.eds.common.enums.AppSourceEnum;

import java.security.NoSuchAlgorithmException;

/**
 * 公共服务service
 */
public interface TeachcloudCommonService {

    /**
     * 删除用户信息
     *
     * @param userId
     * @param all
     */
    void removeUserInfo(Long userId, boolean all) throws NoSuchAlgorithmException;


    LoginResult login(String password, SysUser sysUser, AppSourceEnum appSource) throws NoSuchAlgorithmException;

}
