package com.qmth.eds.whu.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.common.service.SysCollegeService;
import com.qmth.eds.common.util.Result;
import com.qmth.eds.common.util.ResultUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 学院表 前端控制器
 * </p>
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/sys_college")
public class SysCollegeController {

    @Resource
    private SysCollegeService sysCollegeService;

    @ApiOperation(value = "查询")
    @PostMapping("/list")
    public Result list() {
        return ResultUtil.ok(sysCollegeService.listBySchoolId());
    }

}
