package com.qmth.eds.common.job.service;

import org.jetbrains.annotations.NotNull;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * 获取考务数据定时任务
 */
public class TimedSyncTaskJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(TimedSyncTaskJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(@NotNull JobExecutionContext jobExecutionContext) {
        jobService.getExamData(true);
    }
}
