package com.qmth.eds.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.ExamCourseMapping;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 武大考务数据和云阅卷课程代码映射关系表 服务类
 * </p>
 */
public interface ExamCourseMappingService extends IService<ExamCourseMapping> {

    IPage<ExamCourseMapping> pageData(Long semesterId, Long examTypeId, String syncCourseCode, String cloudMarkingCourseCode, Integer pageNumber, Integer pageSize);

    void importData(Long semesterId, Long examTypeId, MultipartFile file);
}
