package com.qmth.eds.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.eds.common.entity.ExamSyncStudentTemp;
import com.qmth.eds.common.mapper.ExamSyncStudentTempMapper;
import com.qmth.eds.common.service.ExamSyncStudentTempService;
import org.springframework.stereotype.Service;

@Service
public class ExamSyncStudentServiceTempImpl extends ServiceImpl<ExamSyncStudentTempMapper, ExamSyncStudentTemp> implements ExamSyncStudentTempService {
    @Override
    public void deleteByExamSyncTotalId(Long examSyncTotalId) {
        UpdateWrapper<ExamSyncStudentTemp> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(ExamSyncStudentTemp::getExamSyncTotalId, examSyncTotalId);
        this.remove(updateWrapper);
    }
}
